> For the complete documentation index, see [llms.txt](https://docs.rasgoml.com/rasgo-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rasgoml.com/rasgo-docs/reference/frequently-asked-questions/what-does-rasgo-do-with-my-data.md).

# What does Rasgo do with my data?

Rasgo believes that customer and partner data is just that: **your data**.

Rasgo maintains a split between physical data and metadata. The Rasgo API handles metadata and does not ingest your data for any reason. Your physical data will be stored in your data warehouse account tied to Rasgo.

What this means for:

#### Enterprise Customers: BYO-DB

Rasgo can be configured to run on your existing data warehouse account (or a new one can be created). This account will be fully dedicated to you. Rasgo will run with restricted permissions to protect the privacy of any non-Rasgo data in a multi-tenant warehouse.

#### Community (Free-Tier) Customers:

A Community Snowflake account is provided when you sign up for Rasgo. Your data will be private to you, virtually separated by database, schema and role-based security.

Rasgo will never ask Data Scientists to sign up for crazy provisions making your data ours in exchange for a free trial. But we do encourage you to exercise proper caution and follow best practices about which data is safe to upload to external data warehouses.

Rasgo's guarantee is that we will take your data privacy seriously. We are happy to answer questions for teams who need a feature store for high-security environments.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/reference/frequently-asked-questions/what-does-rasgo-do-with-my-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
